DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations > Struct Template Reference

Algorithm information for password-based encryptors and decryptors. More...

Inheritance diagram for DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >:

## Static Public Attributes

static const int | BLOCKSIZE = BlockSize
static const int | KEYLENGTH = KeyLength
static const int | SALTLENGTH = SaltSize
static const int | DIGESTSIZE = DigestSize
static const int | ITERATIONS = Iterations

## Detailed Description

### template<unsigned int BlockSize, unsigned int KeyLength, unsigned int DigestSize, unsigned int SaltSize, unsigned int Iterations>
struct DataParametersInfo< BlockSize, KeyLength, DigestSize, SaltSize, Iterations >

Algorithm information for password-based encryptors and decryptors.

Definition at line 57 of file default.h.

The documentation for this struct was generated from the following file:

- default.h